Subject: Re: [vnfpool] Virtualized vs. physical network functions

From: "Susan Hares" <[email-masked]>
Date: Thu, 5 Jun 2014 17:26:03 -0400

Dr. Pedro: 

I think you have mentioned  a very important point about costs. Data centers have a "fail in place" methodology to deal with hardware failure that reduces cost rather than have expensive hardware for servers or routers. 

I want to also "ack" what you are saying regarding the 'soft' instructions.  I have seen enterprises deploy next-gen solutions that are virtualized due to two abilities: 

a) abilities to do partial deployment of new technology (may be a server or Virtual server gets added), 
b) ability to reduce cost and increase uptime. 

The VNF pools can provide back up in a partial deployment seamless across networks. I have deployments where just 10-15 servers in key spots with this type of VNF pool technology can greatly increase through (via virtual load balance, WAN optimizers, and firewalls). 

Sue Hares

-----Original Message-----
From: vnfpool [mailto:[email-masked]] On Behalf Of PEDRO ANDRES ARANDA GUTIERREZ
Sent: Saturday, May 10, 2014 3:00 AM
To: [email-masked]
Subject: Re: [vnfpool] Virtualized vs. physical network functions

Hi Linda,
Congratulations for reading through a coding mess :-) Answers inline,

Best, /PA

Dr. Pedro A. Aranda Gutiérrez

Technology Exploration -
Network Innovation & Virtualisation

mailto:[email-masked]
Telefónica, Investigación y Desarrollo
C/ D. Ramón de la Cruz,84
28006 Madrid, Spain

Fragen sind nicht da, um beantwortet zu werden.
Fragen sind da, um gestellt zu werden.
Georg Kreisler

El 10/05/14 00:40, "Linda Dunbar" <[email-masked]> escribió:

>Pedro,
>
>Are you saying that the physical boxes also have chance to fail, why 
>VNFpool emphasizes so much on Virtualized Network Functions?

Yes, physical boxes also tend to fail (in the worst possible moment, if you believe in Murphy’s law :-) )

>Here is my take on this issue:
>
>It is very likely that the physical devices, either compute or storage 
>devices, have embedded restoration & protection mechanism.

OK, but at what price? If you want to keep costs at a reasonable level, you will probably go to a virtualised environment, with HW that is more cost effective and with simpler mechanisms for resilience.

>Take your storage example, many storage arrays have their own embedded 
>protection mechanism. When a server write/read from a storage array, it 
>doesn't know if the data is from stand-by devices.

Once again, I agree. But while many do, not all have it necessarily. This is also a question of costs. Thus we can’t take protection for granted in ‘discrete’ boxes.

>Whereas, in the virtualized environment, functions instantiated on 
>virtual mechanism doesn't have its own protection mechanism. Therefore, 
>the "high availability" requires the "coordination" among all the other 
>instances, hopefully in the standard way.

Completely agree. And hopefully we can use the same standard mechanisms in cost effective physical (as opposed to virtualised) devices, too.

>Linda

My point is that I see network functions independently of the device that implements them and whether this is a physical device or a virtualised function. IMHO, hybrid environments tend to have the advantage of lowering the entry barrier: continue using what you have deployes and press the last dime out of it while introducing next-gen solutions in a virtualised environment that is more cost-effective than your current system. This ‘soft’ introduction also alleviates the pressure of having to cope with something completely new on network admins.

Best,/PA

________________________________

Este mensaje se dirige exclusivamente a su destinatario. Puede consultar nuestra política de envío y recepción de correo electrónico en el enlace situado más abajo.
This message is intended exclusively for its addressee. We only send and receive email on the basis of the terms set out at:
http://www.tid.es/ES/PAGINAS/disclaimer.aspx
_______________________________________________
vnfpool mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/vnfpool